/* =========================
   Chart Titles & Subtitles
   ========================= */
.card__title {
    color: var(--ecb-blue) !important;
    font-weight: bold !important;
}

.card__subtitle {
    color: var(--ecb-blue) !important;
    font-weight: 400 !important;
}

.card__footnote {
  font-size: 1em; 
  color: var(--neutral-600);
}


/* =========================
   Button
   ========================= */

.btn-icon {
  height: 30px;
  width: 40px;
  background-color: white;        /* keep white background */
  border: none;                   /* remove border */
  color: var(--ecb-blue);         /* icon color ECB blue */
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-size: 18px;                /* size of icon */
  transition: all 0.15s ease;     /* smooth hover scaling */
}

.btn-icon:hover {
  transform: scale(1.1) !important;
  background-color: #f5f5f5 !important; /* subtle hover background */
  color: var(--ecb-blue) !important;    /* keep icon color fixed */
}

   
/* =========================
   Tooltips
   ========================= */
.tooltip__title {
    color: var(--ecb-blue) !important;
}

.hint--left:before {
    border-left-color: var(--ecb-blue);
}

.hint--hint:after {
    background-color: var(--ecb-blue) !important;
    text-shadow: 0 -1px 0px var(--ecb-blue) !important;
}

/* =========================
   Modal Buttons Top-Right
   ========================= */
.modal-button-container {
  position: absolute;
  top: 0.5rem;      /* adjust vertical position */
  right: 1rem;      /* adjust horizontal position */
  display: flex;    /* puts children side by side */
  flex-direction: row;  /* horizontal layout */
  gap: 0.5rem;      /* spacing between buttons */
  z-index: 1000;
}

/* =========================
   Counterparties Grid
   ========================= */

.counterparties-grid > .card:first-child {
  grid-column: 1 / span 2;
}

@media screen and (max-width: 900px) {
  .counterparties-grid > .card:first-child {
    grid-column: 1 / span 1;
  }
}

/* =========================
  STS Maturities Grid
  ========================= */

.sts-maturities-grid > .card:nth-child(3) {
  grid-column: 1 / span 2;
}

@media screen and (max-width: 900px) {
  .sts-maturities-grid > .card:nth-child(3) {
   grid-column: 1 / span 1;
  }
}

/* =========================
  FX Swap Rates Grid
  ========================= */

.fxswap-rates-grid > .card:nth-child(3) {
  grid-column: 1 / span 2;
}

@media screen and (max-width: 900px) {
  .fxswap-rates-grid > .card:nth-child(3) {
   grid-column: 1 / span 1;
  }
}

/* =========================
  Sidebar
  ========================= */

.brand-link {
  padding: 1rem 1rem;
}

.navbar-nav .fa-bars {
  /* font-size: 1.5rem;      */
  vertical-align: middle;
  /* margin-top: 0.5rem;    */
  margin-bottom: 0.5rem;
}
